SIS900_START_XMIT(9)

NAME
sis900_start_xmit - sis900 start transmit routine

SYNOPSIS

int sis900_start_xmit (struct sk_buff * skb, struct net_device * net_dev);

ARGUMENTS

skb socket buffer pointer to put the data being transmitted

net_dev
    the net device to transmit with

DESCRIPTION

Set the transmit buffer descriptor, and write TxENA to enable transmit state machine. tell upper layer if the buffer is full

AUTHORS
Ollie Lho, Lei Chun Chang.